List available regions
GET/accounts/{account_id}/zerotrust/regions
Lists the regions that the account can select for Cloudflare One. Returns an empty list if no regions are available to the account.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
List available regions
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/zerotrust/regions \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"context": {
"foo": "bar"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"context": {
"foo": "bar"
}
}
],
"result": [
{
"region_key": "eu"
}
],
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"context": {
"foo": "bar"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"context": {
"foo": "bar"
}
}
],
"result": [
{
"region_key": "eu"
}
],
"success": true
}